using CloudBuilder.Core.DatabaseAccessor;
using CloudBuilder.Core.Policy;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using System.Transactions;
using CloudBuilder.Core.Service;
using CloudBuilder.Security.Service;
            using CloudBuilder.Core.DatabaseAccessor.Entity;
            using Microsoft.AspNetCore.Http;
            using CloudBuilder.Core.Policy;
            using CloudBuilder.Core.DependencyInjection.Request;
            using CloudBuilder.Security.Data;
            using CloudBuilder.Core.Authorization;
            using CloudBuilder.Security.Entity;
            using CloudBuilder.Security.SearchCriteria;
            using CloudBuilder.Security;
            using System;
            
namespace CloudBuilder.Web.Entry.Controllers.Security
{
[Authorize(AuthorizePolicy.PERMISSION)]
[ApiController]
[Route("[controller]/[action]")]
public class YesNoPolicyController : ControllerBase
{
private readonly IApplicationService service;
private readonly IYesNoPolicyService yesNoPolicyService;

public YesNoPolicyController(IApplicationService service, IYesNoPolicyService yesNoPolicyService)
{
this.service = service;
this.yesNoPolicyService= yesNoPolicyService;
}

        [AllowAnonymous]
                            [HttpPost]
                            public dynamic FindSelectOption(bool blank)       
                    {
                    try
                    {            

                    var result = yesNoPolicyService.FindSelectOption(blank);
                    return result;
                    }
                    catch (ValidatedException vex)
                    {
                    return vex;
                    }            
                    catch (Exception ex)
                    {
                    return new ServiceErrorException(ex);
                    }           
                    }

                    
}
}